Substy Developers
Inbox and fans

List fan scripts

Read scripts and their availability or progress for one creator-fan conversation.

GET/v1/agencies/{agencyId}/creators/{creatorId}/fans/{fanId}/scripts

Read scripts and their availability or progress for one creator-fan conversation.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string
fanId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/creators/string/fans/string/scripts" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": [    {      "templates": [        {          "id": "string",          "createdAt": "2019-08-24T14:15:22Z",          "name": "string",          "language": null,          "medias": null,          "price": 0,          "scriptId": "string",          "updatedAt": "2019-08-24T14:15:22Z",          "content": "string",          "position": 0,          "imported": true,          "importedAt": null,          "basePrice": 0,          "maxPrice": 0,          "creatorTags": [            "string"          ],          "intervalMin": null,          "intervalMax": null,          "isAiCaption": true,          "isLockedText": true,          "pricingMode": "FIXED",          "alreadySent": true,          "purchaseState": {            "status": "not_applicable"          }        }      ],      "enabled": true,      "description": null,      "creatorId": "string",      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "name": "string",      "updatedAt": "2019-08-24T14:15:22Z",      "startTime": null,      "endTime": null,      "position": 0,      "imported": true,      "importedAt": null,      "isCustom": true,      "isAi": true,      "isHuman": true,      "targetFanListIds": [        "string"      ]    }  ],  "meta": {    "requestId": "string"  }}